package com.vendor.burn.transportWorks;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.model.define.IBurner;
import com.vendor.burn.model.devices.IFrameSetting;
import com.vendor.burn.model.receive.ReceiveTimeOutException;
import com.vendor.burn.model.struct.XmodelParameter;
import com.vendor.burn.transportWorks.AbstractTransportWorker;
import java.io.File;
import java.io.IOException;
import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.core.runtime.SubMonitor;

public class SerialTransportWorker extends AbstractTransportWorker {
  public SerialTransportWorker(IFrameSetting frameSetting, IBurner burner) {
    super(frameSetting, burner);
  }
  
  public boolean downloadFileByTransport(SubMonitor subProgressMonitor, XmodelParameter xmodelPar, File partfile, int progressWork) throws IOException, ReceiveTimeOutException {
    return downloadFileSerial(SubMonitor.convert((IProgressMonitor)subProgressMonitor, "", progressWork), partfile, false);
  }
}
